Suggest a headline, subtitle or caption that fits its frame
POST
/cms/print/v2/ai/extras
const url = 'https://api.example.com/cms/print/v2/ai/extras';const options = { method: 'POST', headers: { 'API-Key': '<API-Key>', 'Token-User': '<Token-User>', 'Content-Type': 'application/json' }, body: '{"subpageId":1,"articleId":1,"field":"example","current":"example","target":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.example.com/cms/print/v2/ai/extras \ --header 'API-Key: <API-Key>' \ --header 'Content-Type: application/json' \ --header 'Token-User: <Token-User>' \ --data '{ "subpageId": 1, "articleId": 1, "field": "example", "current": "example", "target": 1 }'Starts a job that writes three versions of the field from the article (read from the CMS), in its language, at most target characters each. The result (GET /cms/job/{id}) has suggestions ({text, length}).
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
subpageId
required
integer
articleId
required
integer
field
required
Title, subtitle, caption or caption-N
string
current
The text now in the frame
string
target
required
Characters that fit
integer
Example generated
{ "subpageId": 1, "articleId": 1, "field": "example", "current": "example", "target": 1}Responses
Section titled “Responses”The job id
AI helpers off, or no permission